Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class VolatileArrayFieldRule

- groovy.org.codenarc.rule.concurrency.VolatileArrayFieldRule

- Volatile array fields are unsafe because the contents of the array are not treated as volatile. Changing the entire array reference is visible to other threads, but changing an array element is not.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority